/**
 * 工单
 *
 * @export
 * @interface EAMWorkOrder
 */
export interface EAMWorkOrder {

    /**
     * 工单标识
     *
     * @returns {*}
     * @memberof EAMWorkOrder
     */
    workorderid?: any;

    /**
     * 工单名称
     *
     * @returns {*}
     * @memberof EAMWorkOrder
     */
    workordername?: any;

    /**
     * 建立时间
     *
     * @returns {*}
     * @memberof EAMWorkOrder
     */
    createdate?: any;

    /**
     * 建立人
     *
     * @returns {*}
     * @memberof EAMWorkOrder
     */
    createman?: any;

    /**
     * 更新时间
     *
     * @returns {*}
     * @memberof EAMWorkOrder
     */
    updatedate?: any;

    /**
     * 更新人
     *
     * @returns {*}
     * @memberof EAMWorkOrder
     */
    updateman?: any;

    /**
     * 工单类型标识
     *
     * @returns {*}
     * @memberof EAMWorkOrder
     */
    eamwotypeid?: any;

    /**
     * 资产标识
     *
     * @returns {*}
     * @memberof EAMWorkOrder
     */
    assetid?: any;

    /**
     * 功能位置标识
     *
     * @returns {*}
     * @memberof EAMWorkOrder
     */
    eamlocationid?: any;

    /**
     * 上级工单标识
     *
     * @returns {*}
     * @memberof EAMWorkOrder
     */
    pworkorderid?: any;

    /**
     * 工单来源标识
     *
     * @returns {*}
     * @memberof EAMWorkOrder
     */
    wooriginid?: any;

    /**
     * 工单编号
     *
     * @returns {*}
     * @memberof EAMWorkOrder
     */
    wonumber?: any;

    /**
     * 制定日期
     *
     * @returns {*}
     * @memberof EAMWorkOrder
     */
    mdate?: any;

    /**
     * 执行日期
     *
     * @returns {*}
     * @memberof EAMWorkOrder
     */
    wodate?: any;

    /**
     * 实际开始时间
     *
     * @returns {*}
     * @memberof EAMWorkOrder
     */
    begintime?: any;

    /**
     * 实际结束时间
     *
     * @returns {*}
     * @memberof EAMWorkOrder
     */
    endtime?: any;

    /**
     * 服务等级标识
     *
     * @returns {*}
     * @memberof EAMWorkOrder
     */
    eamservicelevelid?: any;

    /**
     * 工时
     *
     * @returns {*}
     * @memberof EAMWorkOrder
     */
    worklength?: any;

    /**
     * 资产
     *
     * @returns {*}
     * @memberof EAMWorkOrder
     */
    assetname?: any;

    /**
     * 功能位置
     *
     * @returns {*}
     * @memberof EAMWorkOrder
     */
    eamlocationname?: any;

    /**
     * 服务等级
     *
     * @returns {*}
     * @memberof EAMWorkOrder
     */
    eamservicelevelname?: any;

    /**
     * 工单来源
     *
     * @returns {*}
     * @memberof EAMWorkOrder
     */
    wooriginname?: any;

    /**
     * 工单类型
     *
     * @returns {*}
     * @memberof EAMWorkOrder
     */
    eamwotypename?: any;

    /**
     * 上级工单
     *
     * @returns {*}
     * @memberof EAMWorkOrder
     */
    pworkordername?: any;
}