/**
 * 工单来源
 *
 * @export
 * @interface WOOrigin
 */
export interface WOOrigin {

    /**
     * 工单来源标识
     *
     * @returns {*}
     * @memberof WOOrigin
     */
    wooriginid?: any;

    /**
     * 工单来源名称
     *
     * @returns {*}
     * @memberof WOOrigin
     */
    wooriginname?: any;

    /**
     * 建立人
     *
     * @returns {*}
     * @memberof WOOrigin
     */
    createman?: any;

    /**
     * 建立时间
     *
     * @returns {*}
     * @memberof WOOrigin
     */
    createdate?: any;

    /**
     * 更新人
     *
     * @returns {*}
     * @memberof WOOrigin
     */
    updateman?: any;

    /**
     * 更新时间
     *
     * @returns {*}
     * @memberof WOOrigin
     */
    updatedate?: any;

    /**
     * 工单来源类型
     *
     * @returns {*}
     * @memberof WOOrigin
     */
    woorigintype?: any;
}